Skip to main content
GET
/
api
/
v1
/
layerzero
/
pool
LayerZero pool
curl --request GET \
  --url https://api.enso.build/api/v1/layerzero/pool
{
  "pool": "0x6c96de32cea08842dcc4058c14d3aaad7fa41dee",
  "chainId": 1,
  "destinationChainId": 10,
  "token": "0xdac17f958d2ee523a2206206994597c13d831ec7",
  "decimals": 6,
  "destinationData": {
    "pool": "0xf03b4d9ac1d5d1e7c4cef54c2a313b9fe051a0ad",
    "token": "0x01bff41798a0bcf287b996046ca68b395dbc1071",
    "decimals": 6
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.enso.build/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

chainId
number
required

Chain ID

token
string
required

Token address

destinationChainId
number

Chain ID of destination chain

destinationToken
string

Token address on destination chain

Response

200 - application/json

Pool address lookup result

pool
string
required

LayerZero pool address for the source token

Example:

"0x6c96de32cea08842dcc4058c14d3aaad7fa41dee"

chainId
number
required

Source chain ID

Example:

1

destinationChainId
number
required

Destination chain ID

Example:

10

token
string
required

Source token address

Example:

"0xdac17f958d2ee523a2206206994597c13d831ec7"

decimals
number
required

Decimals of the source token

Example:

6

destinationData
object
required

Details about the destination pool and token